• 关于

    PHP

    的搜索结果

问题

如何在PHP 7中启用MySQLi扩展??mysql

保持可爱mmm 2020-05-17 13:33:13 1 浏览量 回答数 1

问题

请教php,pdo如何连接oracle数据库

落地花开啦 2019-12-01 19:51:55 1722 浏览量 回答数 1

问题

在linux生存mysql.so的时候 编译不通过

杨冬芳 2019-12-01 20:20:13 1532 浏览量 回答数 0

阿里云试用中心,为您提供0门槛上云实践机会!

0元试用32+款产品,最高免费12个月!拨打95187-1,咨询专业上云建议!

问题

为什么有这么多相同的进程?正常吗

xiaozei523 2019-12-01 20:24:27 7097 浏览量 回答数 4

问题

linux下php添加mysqli拓展库时,编译报错

杨冬芳 2019-12-01 20:26:22 1296 浏览量 回答数 1

问题

php命令启动报错 Could not open input file

sacacia 2019-12-01 19:33:30 3434 浏览量 回答数 1

问题

PHP安装出现错误

冷月葬相思 2019-12-01 20:24:56 838 浏览量 回答数 1

问题

linux下跑php文件,报错了!

a123456678 2019-12-01 19:55:10 1079 浏览量 回答数 1

问题

mac 下面这样的php 扩展报错应该如何解决??报错

爱吃鱼的程序员 2020-06-06 20:19:01 0 浏览量 回答数 1

问题

linux下跑php文件,报错了!?报错

爱吃鱼的程序员 2020-06-22 21:46:08 0 浏览量 回答数 1

问题

混淆命令并在同一行代码中使用它

祖安文状元 2020-01-06 15:27:00 0 浏览量 回答数 1

回答

PHP和PHP-FPM都可以用参数-c指定php.ini配置文件. 执行下列命令可见: strace -f -o strace.log \ /png/php/5.4.45/bin/php -v && \ cat strace.log|egrep 'open|read'|grep 'ini' 3080 open("/png/php/5.4.45/bin/php-cli.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3080 open("/png/php/5.4.45/lib/php-cli.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3080 open("/png/php/5.4.45/bin/php.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3080 open("/png/php/5.4.45/lib/php.ini", O_RDONLY) = 3 PHP会优先读取php程序所在目录下的php-cli.ini,访问到则不再读取其他ini文件. PHP-FPM情况如下: strace -f -o strace.log \ /png/php/5.4.45/sbin/php-fpm -v && \ cat strace.log|egrep 'open|read'|grep 'ini' 3537 open("/png/php/5.4.45/lib/php-fpm-fcgi.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3537 open("/png/php/5.4.45/lib/php.ini", O_RDONLY) = 3 PHP-CGI情况如下: strace -f -o strace.log \ /png/php/5.4.45/bin/php-cgi -v && \ cat strace.log|egrep 'open|read'|grep 'ini' 3568 open("./php-cgi-fcgi.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3568 open("/png/php/5.4.45/bin/php-cgi-fcgi.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3568 open("/png/php/5.4.45/lib/php-cgi-fcgi.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3568 open("./php.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3568 open("/png/php/5.4.45/bin/php.ini", O_RDONLY) = -1 ENOENT (No such file or directory) 3568 open("/png/php/5.4.45/lib/php.ini", O_RDONLY) = 3

a123456678 2019-12-02 02:58:01 0 浏览量 回答数 0

回答

cp /usr/local/php5/lib/php.ini in /etc/php.ini cp /usr/local/php5/bin/php in /usr/bin/php # 如果你有安装phar # cp /usr/local/php5/bin/phar in /usr/bin/phar cp /usr/local/php5/bin/phar.phar in /usr/bin/phar.phar cp /usr/local/php5/php in /usr/bin/php cp /usr/local/php5/php-config in /usr/bin/php-config cp /usr/local/php5/bin/phpize in /usr/bin/phpize备注1./usr/local/php5 替换成你安装PHP5.4的目录2.以上不是所有文件都要拷贝过去,请根据你的安装情况文件映射3.部分文件可能路径写的不对,请根据自己安装情况,在安装PHP的目录中查找

落地花开啦 2019-12-02 02:46:37 0 浏览量 回答数 0

回答

先看一些Apache里的PHP配置httpd.conf:LoadModule php5_module modules/libphp5.soAddHandler application/x-httpd-php .phplibphp5.so/libphp7.so作为Apache的一个模块module,PHP解释器是工作在Apache进程内(运行用户是相同的),Apache会把.php后缀的文件交给进程内的PHP模块处理,并把结果返回给浏览器.也就是说,载入了PHP模块的Apache就是一个PHP运行容器,它们是一个整体,是耦合的,所以必须先编译Apache,才能在编译PHP时用参数--with-apxs2=/png/httpd/2.4/bin/apxs指定Apache模块构建脚本,告诉Apache我要构建PHP模块.对于Nginx和PHP-FPM这种模式,楼主才需要考虑到运行用户不同权限不同的问题,因为Nginx和PHP-FPM是分离的,两者是不同的进程,通过TCP或者Unix Domain Socket通信,不过一般Nginx和PHP-FPM都设为同样的运行用户,方便Nginx和PHP-FPM都能有权限操作同样的文件.另外PHP-FPM也可以看做一个PHP容器,因为PHP-FPM进程也是内置了PHP解释器的,因为其不依赖命令行的php,也不依赖php-cgi,跟Apache的区别就是PHP-FPM是一个FastCGI服务,而Apache是一个HTTP服务,Apache能够直接跟浏览器通信,而PHP-FPM则需要通过Nginx跟浏览器交互.

a123456678 2019-12-02 02:58:08 0 浏览量 回答数 0

问题

阿里云ECS新手指引教程3-1(CentOS环境搭建)无数据盘 easypanel 主机面板

梦丫头 2019-12-01 21:22:48 7779 浏览量 回答数 3

问题

关于 Mac(osx) 更换 PHP 版本, 求救

a123456678 2019-12-01 20:12:31 1048 浏览量 回答数 1

问题

php的wamp环境搭建问题

小旋风柴进 2019-12-01 20:11:08 1269 浏览量 回答数 2

问题

Ubuntu 下为单版本和多版本 PHP 安装扩展

妙正灰 2019-12-01 21:40:59 8878 浏览量 回答数 3

回答

PHP 函数入口 在函数计算中使用 PHP 编程,您需要定义一个 PHP 编写的函数作为入口。本文详细介绍了 PHP 的函数入口定义项。 PHP HTTP 函数 在函数计算服务使用 PHP 编程,需要定义一个函数作为入口函数。本文介绍了 PHP HTTP 函数,为函数设置 HTTP 触发器后,可以方便处理发来的 HTTP 请求。 PHP 运行环境 函数计算支持 PHP 7.2.7(runtime = php7.2)运行环境。本文介绍了 PHP 运行环境的以下内容: 打印日志 错误处理 PHP 内置扩展 PHP 自定义扩展 PHP 内置库 PHP 自定义库 调用外部命令

1934890530796658 2020-03-27 16:26:11 0 浏览量 回答数 0

回答

Apache使用的PHP与链接到命令行的PHP之间存在冲突。(这种情况经常发生,应该说实话)。 通常要做的是: which php 这告诉您在命令行中运行时将使用哪个php。例如/usr/bin/php mv /usr/bin/php /usr/bin/php.old 然后将正确的PHP版本链接或复制到可执行路径: ln -s /path/to/php/bin/php /usr/bin/php 或以下内容也应该起作用。 cp /path/to/php/bin/php /usr/bin/php 如果您希望能够手动安装mod,也建议: ln -s /path/to/php/bin/phpize /usr/bin/phpize ln -s /path/to/php/bin/php-config /usr/bin/php-config 这样,您的CLI将与您的Web服务器匹配。 更新: 如果如本答案所述,如果您将Ubuntu与PHP的多个备用安装一起使用,则可以执行以下操作: sudo update-alternatives --set php /usr/bin/php sudo update-alternatives --set phar /usr/bin/phar sudo update-alternatives --set phar.phar /usr/bin/phar.phar sudo update-alternatives --set phpize /usr/bin/phpize sudo update-alternatives --set php-config /usr/bin/php-config 来源:stack overflow

保持可爱mmm 2020-05-17 22:30:24 0 浏览量 回答数 0

问题

安装好php为什么要复制一份php.ini 到/usr/local/php/lib/php.ini

a123456678 2019-12-01 20:08:35 1582 浏览量 回答数 2

问题

php针对mysql的常用操作

ethnicity 2019-12-01 22:08:31 6556 浏览量 回答数 0

问题

智慧云Linux版wordpress不能编辑主题的问题解决办法

chinaccnet 2019-12-01 20:54:23 8643 浏览量 回答数 7

问题

PHP 5.6.12/PHP 5.5.28/PHP 5.4.44/PHP 7.0.0 Beta 3发布

妙正灰 2019-12-01 20:58:10 9104 浏览量 回答数 3

问题

请教PHP中调用别的文件的include函数,要如何传参?

落地花开啦 2019-12-01 19:56:07 1676 浏览量 回答数 1

回答

解决思路 智慧云Linux版的php.ini存放在   php5.2版本   /usr/local/php5.2/lib/php.ini php5.3版本   /usr/local/php5.3/lib/php.ini php5.4版本   /usr/local/php5.4/lib/php.ini 你安装相应的版本编译 XSL  然后添加到 php.ini 配置文件里面  重启php-fpm进程即可

chinaccnet 2019-12-02 02:18:28 0 浏览量 回答数 0

回答

智慧云Linux版的php.ini存放在   php5.2版本   /usr/local/php5.2/lib/php.ini php5.3版本   /usr/local/php5.3/lib/php.ini php5.4版本   /usr/local/php5.4/lib/php.ini 你要找到 站点 用的 php-fpm.conf 里面有open_base设置 改了之后  重启下 php-fpm进程即可

chinaccnet 2019-12-02 02:13:13 0 浏览量 回答数 0

问题

求大牛指点php include 路径没问题 报错 ?报错

爱吃鱼的程序员 2020-06-14 18:52:00 0 浏览量 回答数 1

问题

安装php,make install报错?报错

爱吃鱼的程序员 2020-06-22 14:00:28 3 浏览量 回答数 1

回答

php官网(http://windows.php.net/downloads/releases/)下了个最新版本:php-5.3.3-Win32-VC6-x86.zip(不要下php-5.3.3-Win32-VC9-x86.zip,据说它是IIS服务器的安装版本,不过不知道为什么我在xp下的apache下用VC9安装成功了而在2003服务器上试了好几次都没装成功)。google并重新整理了一份关于升级要注意的事项,如下: 1. 解压php-5.3.3-Win32-VC9-x86.zip并重命名为PHP拷贝到C盘覆盖原来的低版本(位置无要求,我的是装在C盘),打开php目录(我的是C:/php)可以看到目录下有php.ini-development和php.ini-production两个文件,据说第一个是开发使用的配置文件,第二个是标准的生产环境的配置。 2. 复制一份php.ini-development到同目录下,并改名为php.ini使用文本工具打开,查找extension_dir,可以看到多个,选择On windows:下面的那个并去掉前面的分号修改为extension_dir = "C:/php/ext"(根据自己的目录结构配置),目的是找到和php.ini同目录下的ext文件夹中的扩展库。 3. 查找extension=php_,去掉以下几个扩展前面的分号(基本的几项)。 extension=php_curl.dll extension=php_gd2.dll extension=php_mbstring.dll extension=php_mysql.dll extension=php_mysqli.dll extension=php_pdo_mysql.dll extension=php_xmlrpc.dll 复制代码 4、查找short_open_tag = Off,改成On,让其支持短标签。 5. 复制php5ts.dll文件到WINDOWS/system32目录下。 6、重启apache,如果提示“PHP startup: Unable to load dynamic library...”之类的错误码,是因为找不到扩展所依赖的dll文件。所以为了能够使用这些扩展,除了要正确地配置extension_dir外,还得保证系统能够找到这些扩展所依赖的dll,解决的办法有两个: 1)将这些依赖的dll拷贝到c:/windows/system32下。 2)或者将PHP的安装目录添加到%PATH%中---没测试 据说两种方法都能很好地解决问题,这里我只用了第一种,如果选择第一种方法,还要知道需要的那些dll所依赖的dll文件,可从下面列出的找到一些: php_curl.dll CURL, Client URL library functions Requires:   libeay32.dll, ssleay32.dll (bundled) php_domxml.dll DOM XML functions PHP <= 4.2.0 requires: libxml2.dll (bundled) PHP >= 4.3.0 requires: iconv.dll (bundled) php_fdf.dll FDF: Forms Data Format functions. Requires: fdftk.dll gnu_gettext.dll (bundled), PHP >= 4.2.3 requires libintl-1.dll, php_iconv.dll ICONV characterset conversion Requires: iconv-1.3.dll php_ingres.dll Ingres II functions Requires: Ingres II libraries php_interbase.dll InterBase functions Requires: gds32.dll (bundled) php_java.dll Java functions PHP <= 4.0.6 requires: jvm.dll (bundled) php_ldap.dll LDAP functions PHP <= 4.2.0 requires libsasl.dll(bundled), PHP >= 4.3.0 requires libeay32.dll,ssleay32.dll (bundled) php_mcrypt.dll Mcrypt Encryption functions Requires: libmcrypt.dll php_mhash.dll Mhash functions PHP >= 4.3.0 requires: libmhash.dll   (bundled) php_mcrypt.dll Mcrypt Encryption functions Requires: libmcrypt.dll php_mhash.dll Mhash functions PHP >= 4.3.0 requires: libmhash.dll   (bundled) php_msql.dll mSQL functions Requires: msql.dll (bundled) php_mssql.dll MSSQL functions Requires: ntwdblib.dll (bundled) php_mysql.dll MySQL functions PHP >= 5.0.0, requires libmysql.dll   (bundled) php_mysqli.dll MySQLi functions PHP >= 5.0.0, requires libmysqli.dll   (bundled) php_oci8.dll Oracle 8 functions Requires: Oracle 8.1+ client libraries php_openssl.dll OpenSSL functions Requires: libeay32.dll (bundled) php_oracle.dll Oracle functions Requires: Oracle 7 client libraries php_sybase_ct.dll Sybase functions Requires: Sybase client libraries php_xmlrpc.dll XML-RPC functions PHP >= 4.2.1 requires: iconv.dll   (bundled) php_xslt.dll XSLT functions PHP <= 4.2.0 requires sablot.dll,  expat.dll (bundled). PHP >= 4.2.1 requires sablot.dll, expat.dll,  iconv.dll (bundled). 复制代码 重启apache成功后,运行phpinfo()可以看到php5.3.3的配置信息,至此升级成功。 注意:apache和mysql的配置不需要变,只是如果php的安装目录如果改变了要记得修改apache配置文件httpd.conf中相应的配置。

梦丫头 2019-12-01 23:24:40 0 浏览量 回答数 0
阿里云大学 云服务器ECS com域名 网站域名whois查询 开发者平台 小程序定制 小程序开发 国内短信套餐包 开发者技术与产品 云数据库 图像识别 开发者问答 阿里云建站 阿里云备案 云市场 万网 阿里云帮助文档 免费套餐 开发者工具 企业信息查询 小程序开发制作 视频内容分析 企业网站制作 视频集锦 代理记账服务 2020阿里巴巴研发效能峰会 企业建站模板 云效成长地图 高端建站